package com.zjty.tynotes.address.server.dao;

import com.zjty.tynotes.address.server.entity.Notice;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.List;

/**
 * @Author gwj
 * @create 2020/5/13 15:36
 */
public interface NoticeDao extends MongoRepository<Notice,String> {

    List<Notice> findAllByResponseIdAndIsRead(String responseId,String isRead);

    List<Notice> findAllByApplyIdAndIsRead(String applyId,String isRead);

    List<Notice> findAllByApplyId(String applyId);

    List<Notice> findAllByWorkId(String workId);
}
